/* 
 * Copyright (C) 2005 Remco Poelstra <remco@beryllium.net>
 *
 * LinABX - callbacks.h
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors: Remco Poelstra <remco@beryllium.net>
 */

#ifndef CALLBACKS_H
#define CALLBACKS_H
#include <gnome.h>
#include <gconf/gconf-client.h>

enum answers {
    A,
    B,
    NO_ANSWER
};

void
on_about_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about_close                         (GtkDialog       *dialog,
                                        gint             response_id,
                                        gpointer         user_data);

gboolean
on_mainwindow_quit                     (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_a_clicked                           (GtkButton       *button,
                                        gpointer         user_data);

void
on_x_clicked                           (GtkButton       *button,
                                        gpointer         user_data);

void
on_b_clicked                           (GtkButton       *button,
                                        gpointer         user_data);

void
on_next_clicked                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_restart_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_finish_session_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_finished_dialog_response            (GtkDialog       *dialog,
                                        gint             response_id,
                                        gpointer         user_data);

void
on_sample_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_tone_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_jack_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_properties_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
#endif

void
on_configure_jack_mode_dialog_response (GtkDialog       *dialog,
                                        gint             response_id,
                                        gpointer         user_data);

void
on_A_left_combo_changed                (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_A_right_combo_changed               (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_B_left_combo_changed                (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_B_right_combo_changed               (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_configure_sample_mode_dialog_response
                                        (GtkDialog       *dialog,
                                        gint             response_id,
                                        gpointer         user_data);

void
on_best_radiobutton_toggled            (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_medium_radiobutton_toggled          (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_low_radiobutton_toggled             (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_zero_radiobutton_toggled            (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_linear_radiobutton_toggled          (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_choose_mode_dialog_response         (GtkDialog       *dialog,
                                        gint             response_id,
                                        gpointer         user_data);

void
on_best_radiobutton_toggled            (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_medium_radiobutton_toggled          (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_low_radiobutton_toggled             (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_zero_radiobutton_toggled            (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_linear_radiobutton_toggled          (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_A_filechooser_file_activated        (GtkFileChooser  *filechooser,
                                        gpointer         user_data);

void
on_B_filechooser_file_activated        (GtkFileChooser  *filechooser,
                                        gpointer         user_data);

void
on_A_filechooser_current_folder_changed
                                        (GtkFileChooser  *filechooser,
                                        gpointer         user_data);

void
on_B_filechooser_current_folder_changed
                                        (GtkFileChooser  *filechooser,
                                        gpointer         user_data);

void
on_preferences_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_preferences_dialog_response         (GtkDialog       *dialog,
                                        gint             response_id,
                                        gpointer         user_data);

void converter_type_changed(GConfClient *client, guint id, GConfEntry *entry, gpointer user_data);


void
on_cumulative_radiobutton_toggled      (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_folder_not_change_radio_button_toggled
                                        (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_folder_goto_last_radiobutton_toggled
                                        (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_folder_set_to_radiobutton_toggled   (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_folder_set_to_filechooser_file_activated
                                        (GtkFileChooser  *filechooser,
                                        gpointer         user_data);

void
on_default_sample_radiobutton_toggled  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_default_jack_radiobutton_toggled    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_default_tone_radiobutton_toggled    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_default_no_mode_radiobutton_toggled (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_restart_sample_checkbutton_toggled  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_default_set_none_radiobutton_toggled
                                        (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_default_set_fixed_radiobutton_toggled
                                        (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_only_reference_checkbutton_toggled  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_default_set_a_sample_filechooserbutton_current_folder_changed
                                        (GtkFileChooser  *filechooser,
                                        gpointer         user_data);

void
on_default_set_b_sample_filechooserbutton_current_folder_changed
                                        (GtkFileChooser  *filechooser,
                                        gpointer         user_data);

void
on_audibility_threshold_spinbutton_value_changed
                                        (GtkSpinButton   *spinbutton,
                                        gpointer         user_data);
void
on_repeating_checkbutton_toggled			(GtkToggleButton *togglebutton,
                                        gpointer         user_data);
