/* 
 * Copyright (C) 2005 Remco Poelstra <remco@beryllium.net>
 *
 * LinABX - dialog.c
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors: Remco Poelstra <remco@beryllium.net>
 */

#include <gtk/gtk.h>
#include "interface.h"
#include "support.h"
#include <stdlib.h>
#include <libgnome/libgnome.h>

int no_server_dialog(void) {
    GtkDialog *dialog;
    int response;
        
    dialog=GTK_DIALOG(create_no_server_dialog());
    do {
	response=gtk_dialog_run(dialog);
	if(response==GTK_RESPONSE_HELP) {
	    /*Display some help information*/
	    gnome_help_display("file:/home/remco/LinABX/doc/linabx-manual/C/linabx-manual.xml",NULL,NULL);
	} else
	    break;
    } while(1);
    gtk_widget_destroy(GTK_WIDGET(dialog));
    return response;
}

void activate_failed_dialog(void) {
    GtkDialog *dialog;
    int response;
            
    dialog=GTK_DIALOG(create_activate_failed_dialog());
    do {
	response=gtk_dialog_run(dialog);
	if(response==GTK_RESPONSE_HELP) {
	    /*Display some help information*/
	} else
	    break;
    } while(1);
    gtk_widget_destroy(GTK_WIDGET(dialog));
}

void no_output_ports_dialog(void) {
    GtkDialog *dialog;
    int response;
            
    dialog=GTK_DIALOG(create_no_output_ports_dialog());
    do {
	response=gtk_dialog_run(dialog);
	if(response==GTK_RESPONSE_HELP) {
	    /*Display some help information*/
	} else
	    break;
    } while(1);
    gtk_widget_destroy(GTK_WIDGET(dialog));
}

int failed_to_connect_ports_dialog(void) {
    GtkDialog *dialog;
    int response;
            
    dialog=GTK_DIALOG(create_failed_to_connect_ports_dialog());
    do {
	response=gtk_dialog_run(dialog);
	if(response==GTK_RESPONSE_HELP) {
	    /*Display some help information*/
	} else 
	    break;
    } while(1);
    gtk_widget_destroy(GTK_WIDGET(dialog));
    return response;
}

void failed_to_register_ports_dialog(void) {
    GtkDialog *dialog;
    int response;
            
    dialog=GTK_DIALOG(create_failed_to_register_ports_dialog());
    do {
	response=gtk_dialog_run(dialog);
	if(response==GTK_RESPONSE_HELP) {
	    /*Display some help information*/
	} else
	    break;
    } while(1);
    gtk_widget_destroy(GTK_WIDGET(dialog));
}

void jack_error_dialog(const char *desc) {
    GtkDialog *dialog;
    char *text;
            
    dialog=GTK_DIALOG(create_jack_error_dialog());
    text=g_strdup_printf("<span weight=\"bold\" size=\"larger\">Jack reported an error</span>\n\nThe error reported by Jack is the following:\n%s",desc);
    gtk_label_set_markup(GTK_LABEL(lookup_widget(GTK_WIDGET(dialog),"jack_error_label")),text);    
    free(text);
    gtk_dialog_run(dialog);
    gtk_widget_destroy(GTK_WIDGET(dialog));
}
